LibreOffice LibreOffice 7.2 SDK C/C++ API Reference

Classes | Namespaces | Functions
thread.hxx File Reference
`#include "sal/config.h"`
`#include <cassert>`
`#include <cstddef>`
`#include "osl/time.h"`
`#include "osl/thread.h"`
`#include "rtl/alloc.h"`

Go to the source code of this file.

## Classes
class | osl::Thread
| A thread abstraction. More...
class | osl::ThreadData

## Namespaces
namespace | osl

## Functions
void | osl::threadFunc (void *param)
| threadFunc is the function which is executed by the threads created by the osl::Thread class. More...